#ifndef GunMissle_ADSADFAFSSAFSGFJ
#define GunMissle_ADSADFAFSSAFSGFJ

#include "Vector.h"
#include "ObjMesh.h"
#include "LinkedList.h"
#include "windows.h"

struct sMissle
{
       sVector pos;
       sVector direction;
       int time;
       int smokeTime;
};

class CGunMissle
{
private:
        CLinkedList missleList;
        CObjMesh mesh; 
        

public:
        void Render();
        void update();
        void addMissle(sVector pos);
        bool hitTest(sVector bound1, sVector bound2);
        
        CGunMissle();
        ~CGunMissle();
};

#endif
